Subject: Re: bug#17625: 24.4.50; All installed packages marked "unsigned", no archive listed

From: Ted Zlatanov <[email-masked]>
Date: Thu, 26 Jun 2014 10:29:01 -0400

On Thu, 26 Jun 2014 09:35:34 -0400 Stefan Monnier <[email-masked]> wrote: 

>>> 1- why have `package-desc-signed' (and the foo.signed files)?  I don't
>>> think APT has such a feature and I'm wondering what would be
>>> the interest.
>> I remember it was exactly for displaying signed/unsigned status on the
>> list, requested by Ted:
>> https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00033.html
>> I'm not sure if it is useful at this point.

SM> Ted, do you remember why you wanted the "unsigned status" displayed in
SM> the package list?
SM> I can't think of a use-case where it's helpful.

I think it's helpful to indicate if packages are signed--unless they
must be signed by default, which is currently not the case.

Ted